/* style.css du CV */

html {
	font-family: "Garamond", serif;
	font-size: 100%;
	color:#1a1a1a;
	background-color: rgb(248, 240, 224);
	line-height: 1.6em;
	width: 75%;
	margin: 0 auto;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 10px;
	hyphens: auto;
	overflow-wrap: break-word;
}

@font-face {
	font-family: Matrix;
	src: url("./fonts/Matrix Bold.ttf");
}

@font-face {
	font-family: mana;
	src: url("./fonts/mana.ttf");
}

@media (max-width: 600px) {
  body {
    font-size: 0.9em;
    padding: 12px;
  }

  h1 {
    font-size: 1.8em;
  }

}

@media print {
	header nav, footer {
		display: none;
	}

	img {
		display: none;
	}

  html {
	background-color: white;
  }

  body {
    background-color: transparent;
    color: black;
  }

  p, ul, ol, li, h2, h3 {
    orphans: 2;
    widows: 2;
  }

  h1, h2, h3 {
    page-break-after: avoid;
  }
	
}

p {
	margin: 1em 0;
} 

a {
	color: rgb(0, 102, 153);
}

a:visited {
	color: purple;
}

img {
	width: 20%;
	float: inline-end;
	margin-left: 20px;
	border-radius: 3%;
}

h1, h2, h3 {
	margin-top: 1em;
}

h1 {
	font-family: 'Matrix';
	font-size: 34px;
}

h1.title {
	font-size: 40px;
	font-weight: normal;
	text-align: center;
	text-decoration: none;
}

h2 {
	font-size: 22px;
}

h3 {
	font-size: 20px;
}

ol, ul {
	padding-left: 4em;
	text-indent: -2em;
	list-style-type: none;
}

li > ol, li > ul {
	margin-top: 0;
	text-align: match-parent;
}

code {
	font-family: 'Matrix', 'Garamond', serif;
	font-size: 130%;
	margin: 0;
	hyphens: manual;
	white-space: pre-wrap;
}

blockquote {
	background-image: url("./imgs/bluemarble.jpg");
	background-color: rgba(255, 255, 255, 0.2);
	background-blend-mode: overlay;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
	border: 4px outset black;
}

hr {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
	padding-top: 3px;
	margin-top: 30px;
}
